Get a stream of filtered issues.

Returns all issues data that has been created or modified for your organization based on the time parameters passed in. Results are paginated and are sorted by last modified date. If you include an endTime, the endpoint will return data up until that point (exclusive). If you don’t include an endTime, you can continue to poll the API real-time with the pagination cursor that gets returned on every call.

Rate limit: 5 requests/sec (learn more about rate limits here).

To use this endpoint, select Read Issues under the Forms category when creating or editing an API token. Learn More.

Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.

Query Params
string
required

A start time in RFC 3339 format. Millisecond precision and timezones are supported. Value is compared against updatedAtTime. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

string

An end time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. Value is compared against updatedAtTime. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

status
array of strings

A comma-separated list containing status values to filter issues on. Valid values: open, inProgress, resolved, dismissed

status
assetIds
array of strings

A comma-separated list containing up to 50 asset IDs to filter issues on. Issues with untracked assets can also be included by passing the value: 'untracked'.

assetIds
include
array of strings

A comma separated list of additional fields to include on requested objects. Valid values: externalIds

include
assignedToRouteStopIds
array of strings

A comma-separated list containing up to 50 route stop IDs to filter data on.

assignedToRouteStopIds
Responses

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json